import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { CreateAnomalyMonitorCommandInput, CreateAnomalyMonitorCommandOutput } from "../commands/CreateAnomalyMonitorCommand";
import { CreateAnomalySubscriptionCommandInput, CreateAnomalySubscriptionCommandOutput } from "../commands/CreateAnomalySubscriptionCommand";
import { CreateCostCategoryDefinitionCommandInput, CreateCostCategoryDefinitionCommandOutput } from "../commands/CreateCostCategoryDefinitionCommand";
import { DeleteAnomalyMonitorCommandInput, DeleteAnomalyMonitorCommandOutput } from "../commands/DeleteAnomalyMonitorCommand";
import { DeleteAnomalySubscriptionCommandInput, DeleteAnomalySubscriptionCommandOutput } from "../commands/DeleteAnomalySubscriptionCommand";
import { DeleteCostCategoryDefinitionCommandInput, DeleteCostCategoryDefinitionCommandOutput } from "../commands/DeleteCostCategoryDefinitionCommand";
import { DescribeCostCategoryDefinitionCommandInput, DescribeCostCategoryDefinitionCommandOutput } from "../commands/DescribeCostCategoryDefinitionCommand";
import { GetAnomaliesCommandInput, GetAnomaliesCommandOutput } from "../commands/GetAnomaliesCommand";
import { GetAnomalyMonitorsCommandInput, GetAnomalyMonitorsCommandOutput } from "../commands/GetAnomalyMonitorsCommand";
import { GetAnomalySubscriptionsCommandInput, GetAnomalySubscriptionsCommandOutput } from "../commands/GetAnomalySubscriptionsCommand";
import { GetCostAndUsageCommandInput, GetCostAndUsageCommandOutput } from "../commands/GetCostAndUsageCommand";
import { GetCostAndUsageWithResourcesCommandInput, GetCostAndUsageWithResourcesCommandOutput } from "../commands/GetCostAndUsageWithResourcesCommand";
import { GetCostCategoriesCommandInput, GetCostCategoriesCommandOutput } from "../commands/GetCostCategoriesCommand";
import { GetCostForecastCommandInput, GetCostForecastCommandOutput } from "../commands/GetCostForecastCommand";
import { GetDimensionValuesCommandInput, GetDimensionValuesCommandOutput } from "../commands/GetDimensionValuesCommand";
import { GetReservationCoverageCommandInput, GetReservationCoverageCommandOutput } from "../commands/GetReservationCoverageCommand";
import { GetReservationPurchaseRecommendationCommandInput, GetReservationPurchaseRecommendationCommandOutput } from "../commands/GetReservationPurchaseRecommendationCommand";
import { GetReservationUtilizationCommandInput, GetReservationUtilizationCommandOutput } from "../commands/GetReservationUtilizationCommand";
import { GetRightsizingRecommendationCommandInput, GetRightsizingRecommendationCommandOutput } from "../commands/GetRightsizingRecommendationCommand";
import { GetSavingsPlansCoverageCommandInput, GetSavingsPlansCoverageCommandOutput } from "../commands/GetSavingsPlansCoverageCommand";
import { GetSavingsPlansPurchaseRecommendationCommandInput, GetSavingsPlansPurchaseRecommendationCommandOutput } from "../commands/GetSavingsPlansPurchaseRecommendationCommand";
import { GetSavingsPlansUtilizationCommandInput, GetSavingsPlansUtilizationCommandOutput } from "../commands/GetSavingsPlansUtilizationCommand";
import { GetSavingsPlansUtilizationDetailsCommandInput, GetSavingsPlansUtilizationDetailsCommandOutput } from "../commands/GetSavingsPlansUtilizationDetailsCommand";
import { GetTagsCommandInput, GetTagsCommandOutput } from "../commands/GetTagsCommand";
import { GetUsageForecastCommandInput, GetUsageForecastCommandOutput } from "../commands/GetUsageForecastCommand";
import { ListCostAllocationTagsCommandInput, ListCostAllocationTagsCommandOutput } from "../commands/ListCostAllocationTagsCommand";
import { ListCostCategoryDefinitionsCommandInput, ListCostCategoryDefinitionsCommandOutput } from "../commands/ListCostCategoryDefinitionsCommand";
import { ListSavingsPlansPurchaseRecommendationGenerationCommandInput, ListSavingsPlansPurchaseRecommendationGenerationCommandOutput } from "../commands/ListSavingsPlansPurchaseRecommendationGenerationCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ProvideAnomalyFeedbackCommandInput, ProvideAnomalyFeedbackCommandOutput } from "../commands/ProvideAnomalyFeedbackCommand";
import { StartSavingsPlansPurchaseRecommendationGenerationCommandInput, StartSavingsPlansPurchaseRecommendationGenerationCommandOutput } from "../commands/StartSavingsPlansPurchaseRecommendationGenerationCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateAnomalyMonitorCommandInput, UpdateAnomalyMonitorCommandOutput } from "../commands/UpdateAnomalyMonitorCommand";
import { UpdateAnomalySubscriptionCommandInput, UpdateAnomalySubscriptionCommandOutput } from "../commands/UpdateAnomalySubscriptionCommand";
import { UpdateCostAllocationTagsStatusCommandInput, UpdateCostAllocationTagsStatusCommandOutput } from "../commands/UpdateCostAllocationTagsStatusCommand";
import { UpdateCostCategoryDefinitionCommandInput, UpdateCostCategoryDefinitionCommandOutput } from "../commands/UpdateCostCategoryDefinitionCommand";
/**
 * serializeAws_json1_1CreateAnomalyMonitorCommand
 */
export declare const se_CreateAnomalyMonitorCommand: (input: CreateAnomalyMonitorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateAnomalySubscriptionCommand
 */
export declare const se_CreateAnomalySubscriptionCommand: (input: CreateAnomalySubscriptionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1CreateCostCategoryDefinitionCommand
 */
export declare const se_CreateCostCategoryDefinitionCommand: (input: CreateCostCategoryDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteAnomalyMonitorCommand
 */
export declare const se_DeleteAnomalyMonitorCommand: (input: DeleteAnomalyMonitorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteAnomalySubscriptionCommand
 */
export declare const se_DeleteAnomalySubscriptionCommand: (input: DeleteAnomalySubscriptionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DeleteCostCategoryDefinitionCommand
 */
export declare const se_DeleteCostCategoryDefinitionCommand: (input: DeleteCostCategoryDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1DescribeCostCategoryDefinitionCommand
 */
export declare const se_DescribeCostCategoryDefinitionCommand: (input: DescribeCostCategoryDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetAnomaliesCommand
 */
export declare const se_GetAnomaliesCommand: (input: GetAnomaliesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetAnomalyMonitorsCommand
 */
export declare const se_GetAnomalyMonitorsCommand: (input: GetAnomalyMonitorsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetAnomalySubscriptionsCommand
 */
export declare const se_GetAnomalySubscriptionsCommand: (input: GetAnomalySubscriptionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetCostAndUsageCommand
 */
export declare const se_GetCostAndUsageCommand: (input: GetCostAndUsageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetCostAndUsageWithResourcesCommand
 */
export declare const se_GetCostAndUsageWithResourcesCommand: (input: GetCostAndUsageWithResourcesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetCostCategoriesCommand
 */
export declare const se_GetCostCategoriesCommand: (input: GetCostCategoriesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetCostForecastCommand
 */
export declare const se_GetCostForecastCommand: (input: GetCostForecastCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetDimensionValuesCommand
 */
export declare const se_GetDimensionValuesCommand: (input: GetDimensionValuesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetReservationCoverageCommand
 */
export declare const se_GetReservationCoverageCommand: (input: GetReservationCoverageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetReservationPurchaseRecommendationCommand
 */
export declare const se_GetReservationPurchaseRecommendationCommand: (input: GetReservationPurchaseRecommendationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetReservationUtilizationCommand
 */
export declare const se_GetReservationUtilizationCommand: (input: GetReservationUtilizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetRightsizingRecommendationCommand
 */
export declare const se_GetRightsizingRecommendationCommand: (input: GetRightsizingRecommendationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetSavingsPlansCoverageCommand
 */
export declare const se_GetSavingsPlansCoverageCommand: (input: GetSavingsPlansCoverageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetSavingsPlansPurchaseRecommendationCommand
 */
export declare const se_GetSavingsPlansPurchaseRecommendationCommand: (input: GetSavingsPlansPurchaseRecommendationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetSavingsPlansUtilizationCommand
 */
export declare const se_GetSavingsPlansUtilizationCommand: (input: GetSavingsPlansUtilizationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetSavingsPlansUtilizationDetailsCommand
 */
export declare const se_GetSavingsPlansUtilizationDetailsCommand: (input: GetSavingsPlansUtilizationDetailsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetTagsCommand
 */
export declare const se_GetTagsCommand: (input: GetTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1GetUsageForecastCommand
 */
export declare const se_GetUsageForecastCommand: (input: GetUsageForecastCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListCostAllocationTagsCommand
 */
export declare const se_ListCostAllocationTagsCommand: (input: ListCostAllocationTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListCostCategoryDefinitionsCommand
 */
export declare const se_ListCostCategoryDefinitionsCommand: (input: ListCostCategoryDefinitionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListSavingsPlansPurchaseRecommendationGenerationCommand
 */
export declare const se_ListSavingsPlansPurchaseRecommendationGenerationCommand: (input: ListSavingsPlansPurchaseRecommendationGenerationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1ProvideAnomalyFeedbackCommand
 */
export declare const se_ProvideAnomalyFeedbackCommand: (input: ProvideAnomalyFeedbackCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1StartSavingsPlansPurchaseRecommendationGenerationCommand
 */
export declare const se_StartSavingsPlansPurchaseRecommendationGenerationCommand: (input: StartSavingsPlansPurchaseRecommendationGenerationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateAnomalyMonitorCommand
 */
export declare const se_UpdateAnomalyMonitorCommand: (input: UpdateAnomalyMonitorCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateAnomalySubscriptionCommand
 */
export declare const se_UpdateAnomalySubscriptionCommand: (input: UpdateAnomalySubscriptionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateCostAllocationTagsStatusCommand
 */
export declare const se_UpdateCostAllocationTagsStatusCommand: (input: UpdateCostAllocationTagsStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_json1_1UpdateCostCategoryDefinitionCommand
 */
export declare const se_UpdateCostCategoryDefinitionCommand: (input: UpdateCostCategoryDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_json1_1CreateAnomalyMonitorCommand
 */
export declare const de_CreateAnomalyMonitorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAnomalyMonitorCommandOutput>;
/**
 * deserializeAws_json1_1CreateAnomalySubscriptionCommand
 */
export declare const de_CreateAnomalySubscriptionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAnomalySubscriptionCommandOutput>;
/**
 * deserializeAws_json1_1CreateCostCategoryDefinitionCommand
 */
export declare const de_CreateCostCategoryDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCostCategoryDefinitionCommandOutput>;
/**
 * deserializeAws_json1_1DeleteAnomalyMonitorCommand
 */
export declare const de_DeleteAnomalyMonitorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAnomalyMonitorCommandOutput>;
/**
 * deserializeAws_json1_1DeleteAnomalySubscriptionCommand
 */
export declare const de_DeleteAnomalySubscriptionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAnomalySubscriptionCommandOutput>;
/**
 * deserializeAws_json1_1DeleteCostCategoryDefinitionCommand
 */
export declare const de_DeleteCostCategoryDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCostCategoryDefinitionCommandOutput>;
/**
 * deserializeAws_json1_1DescribeCostCategoryDefinitionCommand
 */
export declare const de_DescribeCostCategoryDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCostCategoryDefinitionCommandOutput>;
/**
 * deserializeAws_json1_1GetAnomaliesCommand
 */
export declare const de_GetAnomaliesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAnomaliesCommandOutput>;
/**
 * deserializeAws_json1_1GetAnomalyMonitorsCommand
 */
export declare const de_GetAnomalyMonitorsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAnomalyMonitorsCommandOutput>;
/**
 * deserializeAws_json1_1GetAnomalySubscriptionsCommand
 */
export declare const de_GetAnomalySubscriptionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAnomalySubscriptionsCommandOutput>;
/**
 * deserializeAws_json1_1GetCostAndUsageCommand
 */
export declare const de_GetCostAndUsageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCostAndUsageCommandOutput>;
/**
 * deserializeAws_json1_1GetCostAndUsageWithResourcesCommand
 */
export declare const de_GetCostAndUsageWithResourcesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCostAndUsageWithResourcesCommandOutput>;
/**
 * deserializeAws_json1_1GetCostCategoriesCommand
 */
export declare const de_GetCostCategoriesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCostCategoriesCommandOutput>;
/**
 * deserializeAws_json1_1GetCostForecastCommand
 */
export declare const de_GetCostForecastCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCostForecastCommandOutput>;
/**
 * deserializeAws_json1_1GetDimensionValuesCommand
 */
export declare const de_GetDimensionValuesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDimensionValuesCommandOutput>;
/**
 * deserializeAws_json1_1GetReservationCoverageCommand
 */
export declare const de_GetReservationCoverageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetReservationCoverageCommandOutput>;
/**
 * deserializeAws_json1_1GetReservationPurchaseRecommendationCommand
 */
export declare const de_GetReservationPurchaseRecommendationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetReservationPurchaseRecommendationCommandOutput>;
/**
 * deserializeAws_json1_1GetReservationUtilizationCommand
 */
export declare const de_GetReservationUtilizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetReservationUtilizationCommandOutput>;
/**
 * deserializeAws_json1_1GetRightsizingRecommendationCommand
 */
export declare const de_GetRightsizingRecommendationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetRightsizingRecommendationCommandOutput>;
/**
 * deserializeAws_json1_1GetSavingsPlansCoverageCommand
 */
export declare const de_GetSavingsPlansCoverageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSavingsPlansCoverageCommandOutput>;
/**
 * deserializeAws_json1_1GetSavingsPlansPurchaseRecommendationCommand
 */
export declare const de_GetSavingsPlansPurchaseRecommendationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSavingsPlansPurchaseRecommendationCommandOutput>;
/**
 * deserializeAws_json1_1GetSavingsPlansUtilizationCommand
 */
export declare const de_GetSavingsPlansUtilizationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSavingsPlansUtilizationCommandOutput>;
/**
 * deserializeAws_json1_1GetSavingsPlansUtilizationDetailsCommand
 */
export declare const de_GetSavingsPlansUtilizationDetailsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSavingsPlansUtilizationDetailsCommandOutput>;
/**
 * deserializeAws_json1_1GetTagsCommand
 */
export declare const de_GetTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetTagsCommandOutput>;
/**
 * deserializeAws_json1_1GetUsageForecastCommand
 */
export declare const de_GetUsageForecastCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetUsageForecastCommandOutput>;
/**
 * deserializeAws_json1_1ListCostAllocationTagsCommand
 */
export declare const de_ListCostAllocationTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCostAllocationTagsCommandOutput>;
/**
 * deserializeAws_json1_1ListCostCategoryDefinitionsCommand
 */
export declare const de_ListCostCategoryDefinitionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCostCategoryDefinitionsCommandOutput>;
/**
 * deserializeAws_json1_1ListSavingsPlansPurchaseRecommendationGenerationCommand
 */
export declare const de_ListSavingsPlansPurchaseRecommendationGenerationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSavingsPlansPurchaseRecommendationGenerationCommandOutput>;
/**
 * deserializeAws_json1_1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_json1_1ProvideAnomalyFeedbackCommand
 */
export declare const de_ProvideAnomalyFeedbackCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ProvideAnomalyFeedbackCommandOutput>;
/**
 * deserializeAws_json1_1StartSavingsPlansPurchaseRecommendationGenerationCommand
 */
export declare const de_StartSavingsPlansPurchaseRecommendationGenerationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartSavingsPlansPurchaseRecommendationGenerationCommandOutput>;
/**
 * deserializeAws_json1_1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_json1_1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_json1_1UpdateAnomalyMonitorCommand
 */
export declare const de_UpdateAnomalyMonitorCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAnomalyMonitorCommandOutput>;
/**
 * deserializeAws_json1_1UpdateAnomalySubscriptionCommand
 */
export declare const de_UpdateAnomalySubscriptionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAnomalySubscriptionCommandOutput>;
/**
 * deserializeAws_json1_1UpdateCostAllocationTagsStatusCommand
 */
export declare const de_UpdateCostAllocationTagsStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateCostAllocationTagsStatusCommandOutput>;
/**
 * deserializeAws_json1_1UpdateCostCategoryDefinitionCommand
 */
export declare const de_UpdateCostCategoryDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateCostCategoryDefinitionCommandOutput>;
